## pgroonga-0.2.0.tar.gz

=== Makefile ===
MODULE_big = pgroonga
SRCS = pgroonga.c pgroonga_types.c
OBJS = $(SRCS:.c=.o)
EXTENSION = pgroonga
DATA = pgroonga--0.2.0.sql
PG_CPPFLAGS = $(shell pkg-config --cflags groonga)
SHLIB_LINK = $(shell pkg-config --libs groonga)
# REGRESS = pgroonga update bench
REGRESS = $(shell find sql -name '*.sql' | sed -e 's,\(^sql/\|\.sql$$\),,g')
REGRESS_OPTS = --load-extension=pgroonga

ifdef DEBUG
COPT += -O0 -g3 -DPGROONGA_DEBUG=1
SHLIB_LINK += -Wl,--rpath=$(shell pkg-config --libs-only-L groonga | sed -e 's/^-L//')
endif

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

installcheck: results/text/single/contain
installcheck: results/text/single/match
installcheck: results/text/single/and
installcheck: results/text/multiple/contain

results/text/single/contain:
	@mkdir -p results/text/single/contain
results/text/single/match:
	@mkdir -p results/text/single/match
results/text/single/and:
	@mkdir -p results/text/single/and
results/text/multiple/contain:
	@mkdir -p results/text/multiple/contain

=== packages/debian/control ===
Source: pgroonga
Section: libs
Priority: optional
Maintainer: PGroonga Project <packages@groonga.org>
Build-Depends:
  debhelper (>= 9),
  pkg-config,
  libgroonga-dev,
  postgresql-server-dev-9.4
Standards-Version: 3.9.3
Homepage: https://github.com/pgroonga/pgroonga

Package: postgresql-9.4-pgroonga
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0,
  postgresql-server-9.4
Description: Fast full-text search plugin for PostgreSQL based on Groonga
 PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
 It is based on Groonga full-text search engine.
